Resultado do teste de SSO
curl --request GET \
--url https://control.api.niadra.com/v1/sso/tests/{test_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://control.api.niadra.com/v1/sso/tests/{test_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://control.api.niadra.com/v1/sso/tests/{test_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"test_id": "0192f8e5-93a4-75b6-8fc7-3c4d5e6f7a90",
"status": "completed",
"created_at": "2026-09-24T12:00:00Z",
"completed_at": "2026-09-24T12:01:10Z",
"ok": true,
"failure": null,
"detail": null,
"email": "nina@acme.example",
"groups": [
"cx-quality",
"all-staff"
],
"roles": [
"review"
],
"person_exists": false
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"detail": "<string>",
"request_id": "<string>",
"type": "about:blank"
}Controle: login único (SSO)
Resultado do teste de SSO
O e-mail, os grupos e os papéis que o provedor mandou no teste.
GET
/
v1
/
sso
/
tests
/
{test_id}
Resultado do teste de SSO
Autorizações
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parâmetros de caminho
Resposta
O resultado do teste, ou pendente.
O e-mail que o provedor mandou para a conta usada no teste.
Por que um login de verdade seria recusado: denied, expired, invalid, domain, no_role, other_tenant, deactivated, unavailable ou disabled.
Nulo enquanto o teste espera o provedor.
Os papéis que essa conta receberia.
Papéis do Console, combináveis.
Opções disponíveis:
admin, security, integration, review, analysis, vendor Opções disponíveis:
pending, completed, failed 
